Subject: Re: [PATCH v2 00/33] git-log: implement new --diff-merge options

From: Sergey Organov <[email-masked]>
Date: Fri, 18 Dec 2020 16:39:25 +0300

Hi Elijah,

Thanks a lot for reviewing the series!

Elijah Newren <[email-masked]> writes:

> On Wed, Dec 16, 2020 at 10:50 AM Sergey Organov <[email-masked]> wrote:
>>
>> These patch series implement new set of options governing diff output
>> of merge commits, all under the umbrella of single
>> --diff-merges=<mode> option.
>
> With this round, I was hoping to get a range-diff (using the
> --range-diff option to format-patch), so I could more easily see what
> was new.  Since I've been updating frequently enough, I was able to
> generate this locally using Junio's published so/log-diff-merge topic,
> but it'd be helpful if you could include it in any future rounds.

Well, documentation on contributing doesn't seem to mention this. I'll
try to learn it for the future though, thanks!

>
> With your previous patch series, I scanned most the patches somewhat
> briefly but looked at the final patches more closely (the series is
> kind of long, and I noticed Junio had started reviewing the early part
> of the series, so I figured it might be most helpful to jump in and
> cover the end in case he didn't get that far).  With this round, I
> read through the range-diff, and then looked at all the new patches
> and have left a number of comments.  I think Junio reviewed the first
> 8 or so patches of an earlier round, so patches 9-21 probably could
> benefit from someone reviewing more closely.
>
> Overall, I like the direction of the series.  I think it'll make it
> easier to add --remerge-diff later since it simplifies getting the
> interaction between it and -m/-c/--cc/--first-parent right.  It also
> adds some new capabilities you want (--diff-merges=first-parent, to
> show merges as diff against first parent without only traversing first
> parents), and that Junio wants (--diff-merges=dense-combined, to only
> show merges for diffs without showing diffs for non-merge commits).

Yeah, I hoped to address everything that has been discussed.

[...]

Thanks,
-- Sergey